gnutls_psk_set_client_credentials(3)

NAME
gnutls_psk_set_client_credentials - Used to set the username/password, in a gnutls_psk_client_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_set_client_credentials(gnutls_psk_client_credentials_t res, const char * username, const gnutls_datum * key, unsigned int flags);

ARGUMENTS

gnutls_psk_client_credentials_t res
    is an gnutls_psk_client_credentials_t structure.

const char * username
    is the user's zero-terminated userid

const gnutls_datum * key
    is the user's key

unsigned int flags

DESCRIPTION
This function sets the username and password, in a gnutls_psk_client_credentials_t structure. Those will be used in PSK authentication. username should be an ASCII string or UTF-8 strings prepared using the "SASLprep" profile of "stringprep". The key can be either in raw byte format or in Hex (not with the '0x' prefix). Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.